package cn.estsh.i3plus.core.api.iservice.busi;

import cn.estsh.i3plus.pojo.base.bean.ListPager;
import cn.estsh.i3plus.pojo.base.common.Pager;
import cn.estsh.i3plus.pojo.platform.bean.SysMessage;

import java.util.List;

/**
 * @Description : 消息业务服务接口
 * @Reference :
 * @Author : yunhao
 * @Date : 2018-10-25 17:10
 * @Modify :
 **/
public interface ISysMessageService {

    /**
     * 添加消息
     * @param sysMessage
     */
    SysMessage insertSysMessage(SysMessage sysMessage);

    /**
     * 删除消息
     * @param id
     */
    void deleteSysMessageById(String id);

    /**
     * 修改消息
     * @param sysMessage
     */
    void updateSysMessage(SysMessage sysMessage);

    /**
     *  查询全部信息
     * @return
     */
    List<SysMessage> listSysMessage();

    /**
     * 根据id查询消息
     * @param id
     * @return
     */
    SysMessage getSysMessageById(String id);

    /**
     * 系统消息复制查询，分页，排序
     * @param sysMessage
     * @param pager
     * @return
     */
    ListPager querySysMessageByPager(SysMessage sysMessage, Pager pager);
}
